Bug 186521 - directfb-config is broken
directfb-config is broken
Product: Fedora
Classification: Fedora
Component: directfb (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-03-23 19:54 EST by Andreas Bierfert
Modified: 2008-06-16 21:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:12:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch for directfb-config (3.96 KB, patch)
2006-09-17 11:23 EDT, Andreas Bierfert
no flags Details | Diff
32bit conf (339 bytes, text/plain)
2006-09-17 11:24 EDT, Andreas Bierfert
no flags Details
64 bit (355 bytes, application/octet-stream)
2006-09-17 11:24 EDT, Andreas Bierfert
no flags Details

  None (edit)
Description Andreas Bierfert 2006-03-23 19:54:49 EST
directfb-config shows a lot of .o files which are clearly not included in the
package. Should be .so instead.

[01:59 AM][awjb@alkaid ~]$ directfb-config --cflags --libs --graphics=all
--imageprovider=png,jpeg --input=keyboard --font=default
-I/usr/include/directfb -D_GNU_SOURCE -D_REENTRANT
-lpng -lz -lm
-L/usr/lib64 -ldirectfb -lfusion -ldirect -lpthread -lz
Comment 1 Andreas Bierfert 2006-03-27 06:09:20 EST
I have fixed this here locally... would you mind me applying this patch?

In addition: I created another option so that --graphics=all actually works.
Seems sane to me not only to select one driver but to be able to query all

And the last patch is about adding the different lib path to ld.so.conf.d
otherwise compiling against them does not really do any good in a shared

Please let me know what you thing and if should apply the patches...

Index: directfb.spec
RCS file: /cvs/extras/rpms/directfb/FC-5/directfb.spec,v
retrieving revision 1.10
diff -r1.10 directfb.spec
< Release:        5%{?dist}
> Release:        6%{?dist}
< Source:        
> Source0:       
> Source1:        directfb-32.conf
> Source2:        directfb-64.conf
> Patch0:         directfb-directfb-config.patch
< # libtool
< BuildRequires:  gcc-c++
> %patch0
> mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/
> %ifarch x86_64
> install -m 644 -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/
> %else
> install -m 644 -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/
> %endif
> %{_sysconfdir}/ld.so.conf.d/*
> * Sat Mar 25 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
> - fix directfb-config (s/\.o/.so/)
> - add --graphics=all switch to directfb-config
> - add ld.so.conf.d files so all .so will be found
Comment 2 Thomas Vander Stichele 2006-06-15 06:04:24 EDT
Can you show me the patch please ? also, a test case to reproduce ? 

FWIW, my directfb-config doesn't do what yours did originally:

[thomas@otto mach]$ directfb-config --cflags --libs --graphics=all
-I/home/thomas/prefix//include/directfb -D_REENTRANT
-L/home/thomas/prefix//lib -ldirectfb -lpthread -ldl
-static -Wl,-udirectfb_fbdev
-L/home/thomas/prefix//lib/directfb-0.9.18/gfxdrivers -Wl,-udirectfb_all
Comment 3 Thomas Vander Stichele 2006-09-02 06:23:30 EDT
Andreas, ping...
Comment 4 Andreas Bierfert 2006-09-04 02:56:52 EDT
hm this was on x86_64... I will have to fire it up again later today to verify
if this still is a problem there... seems like your reply got lost in my inbox
so sorry for not answering...
Comment 5 Matthias Saou 2006-09-15 10:19:03 EDT
Ping again, then :-)

Removing FE6Target since has just been rebuilt for FC6 and this bug has
been filed against FC5.

I'm not even sure I understand the bug... the library file extension is wrong on
x86_64, is that it? But the part to have their location added to ld's search
path seems wrong, as they are surely dlopen'ed, no?
Comment 6 Andreas Bierfert 2006-09-17 11:21:54 EDT
Well the problem was this: I wanted to get splashy working and it needed
directfb. But when talking to the config script a lot of things broke...
probably because of this being on an x86_64... I will add the patch here so you
can see what I mean :) 
Comment 7 Andreas Bierfert 2006-09-17 11:23:18 EDT
Created attachment 136484 [details]
patch for directfb-config
Comment 8 Andreas Bierfert 2006-09-17 11:24:22 EDT
Created attachment 136485 [details]
32bit conf
Comment 9 Andreas Bierfert 2006-09-17 11:24:53 EDT
Created attachment 136486 [details]
64 bit
Comment 10 Matthias Saou 2007-02-02 09:37:54 EST
I can still see this in the latest 1.0.0-rc3 on Fedora 7 x86_64.
The DirectFB guys state that this should be the last RC before the final
release... could you maybe try and report this issue upstream in order to try
and get it fixed before the 1.0.0 final? I'm sure they'd appreciate!
Comment 11 Matthias Saou 2007-02-05 09:11:03 EST
I've reported the issue upstream, including a link to this bug report.
Comment 12 Bug Zapper 2008-05-14 08:00:20 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2008-06-16 21:12:15 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.